------------------------------------------------------------------------------------
--Name:  	huigui
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-10-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(64, 64)
local Player_2 = CppScriptMgr:AddSimplePlayer(1063240, 74, 54, "Dr.Ashford", 0, 0)
Player_2:SetDir(1)
Player_2:RunTo(71, 59)
Player_2:Say("My child!", 1500)
Player_2:SetHair(124, 1)
Player_2:SetArmor(194035, 0, 1)
local Player_1 = CppScriptMgr:AddSimplePlayer(1050215, 64, 66, "Rose", 0, 0)
Player_1:SetDir(5)
Player_1:RunTo(70, 60)
Player_1:Say("Dad!", 1500)
Player_1:SetCtrlMapView(1)
Player_1:SetArmor(192310, 0, 1)
Player_1:SetHair(106, 1)
Player_1:SetRWeapon(0, 0, 0)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(78, 54)
player_0:RunTo(74, 58)
player_0:SetName("")
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("Dr. Ashford`s experiments had spawned terrifying [Experimental Subjects] that spread infection widely, causing Lost City to fall. His daughter, Rose, went missing.", 4000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26069", 150, 430, "CharlieWinston", 250, 655, false)
CppScriptMgr:WaitMilSec(500)
Player_2:Say("Thank goodness, I`ve finally found you, my Rose.", 1500)
CppScriptMgr:WaitMilSec(2370)
Player_2:SetAction(101)
Player_2:Say("I swear I will never leave you again.", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(620)
player_0:Say("What does Dr. Ashford plan to do next?", 1500)
Player_2:SetDir(6)
CppScriptMgr:WaitMilSec(970)
CppScriptMgr:NpcCallOut("You ventured into Lost City with the assistance of the intelligent program [Red Queen], saved Rose, and rebuilt the city!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc26069", 150, 430, "CharlieWinston", 250, 655, false)
Player_2:Say("I will initiate the city reconstruction plan and hand it entirely to Charlie Winston.", 1500)
CppScriptMgr:WaitMilSec(1500)
player_0:Say("That would be great!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("I`ll count on you for the reconstruction!", 1500)
CppScriptMgr:WaitMilSec(3170)
player_0:Say("No problem!", 1500)
CppScriptMgr:WaitMilSec(1330)